import { default as React } from 'react';
import { FieldAttributes } from 'formik/dist/Field';
import { AutocompleteProps as FMuiAutocompleteProps, CheckboxProps as FMuiCheckboxProps, CheckboxWithLabelProps as FMuiCheckboxWithLabelProps, InputBaseProps as FMuiInputBaseProps, RadioGroupProps as FMuiRadioGroupProps, SelectProps as FMuiSelectProps, SimpleFileUploadProps as FMuiSimpleFileUploadProps, SwitchProps as FMuiSwitchProps, TextFieldProps as FMuiTextFieldProps, ToggleButtonGroupProps as FMuiToggleButtonGroupProps } from 'formik-mui';
import { FieldProps } from 'formik';
import { TextFieldProps as MuiTextFieldProps } from '@mui/material';

export declare const FAutocomplete: <T, U, Multiple extends boolean | undefined, DisableClearable extends boolean | undefined, FreeSolo extends boolean | undefined>(props: Omit<FMuiAutocompleteProps<T, Multiple, DisableClearable, FreeSolo>, keyof FieldProps> & FieldAttributes<U>) => import("react/jsx-runtime").JSX.Element;
export declare const FTextField: {
    <T extends unknown>(props: Omit<FMuiTextFieldProps, keyof FieldProps> & FieldAttributes<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const FCheckbox: {
    <T extends unknown>(props: Omit<FMuiCheckboxProps, keyof FieldProps> & FieldAttributes<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const FCheckboxWithLabel: {
    <T extends unknown>(props: Omit<FMuiCheckboxWithLabelProps, keyof FieldProps> & FieldAttributes<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const FInputBase: {
    <T extends unknown>(props: Omit<FMuiInputBaseProps, keyof FieldProps> & FieldAttributes<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const FRadioGroup: {
    <T extends unknown>(props: Omit<FMuiRadioGroupProps, keyof FieldProps> & FieldAttributes<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const FSelect: {
    <T extends unknown>(props: Omit<FMuiSelectProps, keyof FieldProps> & FieldAttributes<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const FSimpleFileUpload: {
    <T extends unknown>(props: Omit<FMuiSimpleFileUploadProps, keyof FieldProps> & FieldAttributes<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const FSwitch: {
    <T extends unknown>(props: Omit<FMuiSwitchProps, keyof FieldProps> & FieldAttributes<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const FToggleButtonGroup: {
    <T extends unknown>(props: Omit<FMuiToggleButtonGroupProps, keyof FieldProps> & FieldAttributes<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
interface FFieldArrayElementProps<Values> {
    id: string;
    key: any;
    name: string;
    label?: string;
    onRemove: () => void;
    error: any;
    disabled: boolean;
    onBlur: any;
    onChange: any;
}
export interface AddElementProps {
    onAdd: () => void;
    disabled: boolean;
    text?: string;
}
interface FFieldArrayProps<Values> {
    name: string;
    label: string;
    Container: React.ElementType<{
        children: React.ReactNode;
    }>;
    Element: React.ElementType<FFieldArrayElementProps<Values>>;
    createNew: () => Partial<Values>;
    Add?: React.ElementType<AddElementProps>;
    addButtonText?: string;
}
export declare const FFieldArray: {
    <T extends unknown>({ name, label, createNew, Container, Element, Add, addButtonText, ...props }: FFieldArrayProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export interface FTextFieldArrayProps extends Omit<FFieldArrayProps<string>, 'Container' | 'Element' | 'createNew'> {
    textFieldProps?: Omit<MuiTextFieldProps, 'name' | 'value' | 'error'>;
    deleteIcon?: React.ReactNode;
    Container?: React.ElementType<{
        children: React.ReactNode;
    }>;
    Element?: React.ElementType<FFieldArrayElementProps<string>>;
    createNew?: () => Partial<string>;
    addButtonText?: string;
}
export declare const FTextFieldArray: {
    ({ deleteIcon, createNew, Element, Add, Container, ...props }: FTextFieldArrayProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
interface FTextFieldArrayElementProps extends FFieldArrayElementProps<string> {
    textFieldProps?: Omit<MuiTextFieldProps, 'name' | 'value' | 'error'>;
    deleteIcon?: React.ReactNode;
}
export declare const FTextFieldArrayElement: ({ onRemove, textFieldProps, deleteIcon, ...props }: FTextFieldArrayElementProps) => import("react/jsx-runtime").JSX.Element;
export {};
