import { ReactNode } from 'react';
import { StackProps } from '@mui/material';

interface Action<T> {
    name: string;
    disabled?: boolean;
    onClick: () => void;
    edited?: T;
    form?: (item: T) => ReactNode;
    hideOnEdit?: boolean;
    editingAlt?: ReactNode;
    startIcon?: ReactNode;
}
export interface SectionProps<T> extends StackProps {
    icon?: ReactNode;
    title?: string;
    action?: Action<T>;
}
export declare const Section: {
    <T>({ title, icon, action, children, ...props }: SectionProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export {};
