import { Action, Column, DraggableRow, UniqueIdentifier } from './Table';
import { default as React } from 'react';

export interface RowProps<T extends UniqueIdentifier & DraggableRow> {
    index: number;
    data: T;
    columns: Column<T>[];
    open?: boolean;
    setOpen?: (open: boolean) => void;
    details?: (data: T) => React.ReactNode;
    onClick?: () => void;
    actions?: Action<T>[];
    draggable?: boolean;
}
export declare const Row: {
    <T extends UniqueIdentifier & DraggableRow>({ index, data, columns, open, setOpen, details, onClick, actions, draggable, }: RowProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
