import { SxProps } from '@mui/system/styleFunctionSx';
import { Theme } from '@mui/system/createTheme';
import { ButtonProps, TextFieldProps } from '@mui/material';

export interface ChangedEvent {
    type: 'changed' | 'add' | 'remove';
    index: number;
    value?: any;
}
export interface TextFieldArrayProps<T> {
    textFieldProps?: TextFieldProps;
    deleteButtonProps?: ButtonProps;
    addButtonProps?: ButtonProps;
    name?: string;
    label?: string;
    addLabel?: string;
    values: T[];
    errors?: string | string[] | undefined;
    touched?: any;
    onArrayChanged?: (e: ChangedEvent) => void;
    onChanged: (values: (T | '')[]) => void;
    onBlur: any;
    sx?: SxProps<Theme>;
}
export declare const TextFieldArray: {
    <T>({ textFieldProps, deleteButtonProps, addButtonProps, name, label, addLabel, values: _values, errors, touched, onArrayChanged, onChanged, onBlur, sx, }: TextFieldArrayProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export declare const TextFieldArrayTest: () => import("react/jsx-runtime").JSX.Element;
