import { OptionsObject, SnackbarKey, SnackbarMessage, SnackbarProviderProps } from 'notistack';

export declare const SnackbarProvider: {
    ({ children, ...rest }: SnackbarProviderProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export type Snackbar = (message: SnackbarMessage, options?: OptionsObject) => SnackbarKey;
export declare const useSnackbar: (defaultOptions?: OptionsObject) => {
    enqueueSnackbar: (message: SnackbarMessage, options?: OptionsObject) => SnackbarKey;
    closeSnackbar: (key?: SnackbarKey) => void;
    defaultSnackbar: (message: SnackbarMessage, options?: OptionsObject) => SnackbarKey;
    infoSnackbar: (message: SnackbarMessage, options?: OptionsObject) => SnackbarKey;
    successSnackbar: (message: SnackbarMessage, options?: OptionsObject) => SnackbarKey;
    warnSnackbar: (message: SnackbarMessage, options?: OptionsObject) => SnackbarKey;
    errorSnackbar: (message: SnackbarMessage, options?: OptionsObject) => SnackbarKey;
};
type ConfirmParams<T, U> = {
    validate?: (req: T) => any;
    success?: string | ((req: T, res: U) => string);
    error?: string | ((req: T, e: any) => string);
};
export declare const useResultSnackbar: () => <T, U>(action: (v: T) => Promise<U>, params?: ConfirmParams<T, U>) => (req: T) => Promise<void>;
export {};
