import { FitAddon } from 'xterm-addon-fit';
import { IDisposable, Terminal } from 'xterm';

export declare class Xterm {
    elem: HTMLElement;
    term: Terminal;
    resizeListener: () => void;
    message: HTMLElement;
    messageTimeout: number;
    messageTimer?: ReturnType<typeof setTimeout>;
    fitAddon: FitAddon;
    disposables: IDisposable[];
    private obs;
    constructor(elem: HTMLElement);
    info(): {
        columns: number;
        rows: number;
    };
    focus(): void;
    output(data: Uint8Array): void;
    showMessage(message: string, timeout: number): void;
    removeMessage(): void;
    setWindowTitle(title: string): void;
    setPreferences(value: object): void;
    onInput(callback: (input: string) => void): void;
    onResize(callback: (colmuns: number, rows: number) => void): void;
    deactivate(): void;
    reset(): void;
    close(): void;
    setUpTmuxClipboard(): void;
}
